digiKam Developer Documentation: Digikam::AddTagsLineEdit Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | List of all members
Digikam::AddTagsLineEdit Class Reference
Inheritance diagram for Digikam::AddTagsLineEdit:

## Public Slots
void | setParentTag (Album *const album)
| Set a parent tag for suggesting a parent tag for a new tag, and a default action.

## Signals
void | taggingActionActivated (const TaggingAction &action)
| Emitted when the user activates an action (typically, by pressing return)
void | taggingActionFinished ()
void | taggingActionSelected (const TaggingAction &action)
| Emitted when an action is selected.

## Public Member Functions
| AddTagsLineEdit (QWidget *const parent=nullptr)
TaggingAction | currentTaggingAction () const
void | setAlbumModels (TagModel *const model, TagPropertiesFilterModel *const filteredModel, AlbumFilterModel *const filterModel)
| Convenience: Will call setSupportingTagModel() and setFilterModel()
void | setAllowExceedBound (bool value)
void | setCurrentTag (TAlbum *const tag)
| Adjusts the current default tagging action to assign the given tag.
void | setCurrentTaggingAction (const TaggingAction &action)
void | setFilterModel (AlbumFilterModel *const model)
| Set a tag filter model.
void | setSupportingTagModel (TagModel *const model)
| Optional: set a model for additional information, like tag icons.
void | setTagTreeView (TagTreeView *const treeView)
| Reads a tag treeview and takes the currently selected tag into account when suggesting a parent tag for a new tag, and a default action.

## Protected Slots
void | completerActivated (const TaggingAction &action)
void | completerHighlighted (const TaggingAction &action)
void | slotEditingFinished ()
void | slotReturnPressed ()
| Tagging action is used by facemanagement and assignwidget.
void | slotTextEdited (const QString &text)

## Member Function Documentation

## ◆ setFilterModel()

void Digikam::AddTagsLineEdit::setFilterModel | ( | AlbumFilterModel *const | model | ) |

Completion suggestions will be limited to tags contained in the filter model.

## ◆ setParentTag

void Digikam::AddTagsLineEdit::setParentTag | ( | Album *const | album | ) |
| slot

If you set a tag tree view, this is taken care for automatically.

## ◆ taggingActionSelected

void Digikam::AddTagsLineEdit::taggingActionSelected | ( | const TaggingAction & | action | ) |
| signal

This already happens if anything is typed.